Name:		contextkit
Summary:	Contextual information collection framework
Version:	0.5.41
Release:	18%{?dist}
Group:		Applications/System
License:	LGPLv2
URL:		http://gitorious.org/maemo-af/contextkit
# OLD: extracted from http://repo.meego.com/MeeGo/builds/trunk/1.0.90.0.20100831.1/core/repos/source/contextkit-0.5.15-1.28.src.rpm
# Current: Pulled from git (on 20120326)
# git clone git://gitorious.org/maemo-af/contextkit.git
# git checkout 0.5.41
# rm -rf .git
# cd ..
# mv contextkit contextkit-0.5.41
# tar cvfj contextkit-0.5.41.tar.bz2 contextkit-0.5.41
Source0:	%{name}-%{version}.tar.bz2
Patch0:		remove-docs-build.patch
Patch1:		contextkit-gcc45.patch
Patch2:		contextkit-0.5.41-gcc47.patch
Patch3:		contextkit-0.5.41-workaround-automake-errors.patch
BuildRequires:	dbus-devel
BuildRequires:	glib2-devel
BuildRequires:	qjson-devel
BuildRequires:	tinycdb-devel
BuildRequires:	python2-devel
BuildRequires:	libxslt
BuildRequires:	asciidoc
BuildRequires:	libtool
BuildRequires:	doxygen
BuildRequires:	perl(XML::DOM)
Requires:	dbus

%description
This is ContextKit, a framework for collecting contextual
information from the bowels of the system, cleaning them up
and offering them through a simple API.

The ContextKit consists of:

- libcontextprovider, a convenience library to export 
  contextual properties to the rest of the system.

- user documentation including a list of standard context properties

- contextd, daemon for combining and refining contextual information

- libcontextsubscriber, a library implementing 
  the simple API for accessing the contextual information.

%package devel
Summary:	Development files for ContextKit
Group:		Development/Libraries
Requires:	%{name}%{?_isa} = %{version}-%{release}

%description devel
Development libraries and headers for building context aware applications.

%prep
%setup -q

# remove-docs-build.patch
%patch0 -p1
# contextkit-gcc45.patch
%patch1 -p1
# fix gcc 47 issues
%patch2 -p1 -b .gcc47
# workarounds automake errors when warnings are treated as errors
%patch3 -p1 -b .workaround-automake-errors

# Remove shebang
for file in python/ContextKit/*.py; do
	sed '/^#!\//, 1d' $file > $file.new && \
	touch -r $file $file.new && \
	mv $file.new $file
done
./autogen.sh --no-configure

%build
%configure --disable-static
make %{?_smp_mflags}

%install
make install DESTDIR=%{buildroot}
find %{buildroot} -name '*.la' -exec rm -f {} ';'
mv %{buildroot}%{_docdir}/contextkit-doc contextkit-doc

#remove tests for now
rm -rf %{buildroot}%{_libdir}/libcontext*-tests
rm -rf %{buildroot}%{_libdir}/contextkit/*test*
rm -rf %{buildroot}%{_datadir}/libcontext*-tests

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%doc contextkit-doc/html COPYING AUTHORS MAINTAINERS README
%{_sysconfdir}/dbus-1/system.d/libcontextprovider0.conf
%{_bindir}/*
%{_libdir}/libcontext*.so.*
%{_datadir}/contextkit
%{python2_sitelib}/ContextKit
%{_mandir}/man1/*.1.*

%files devel
%{_libdir}/libcontext*.so
%{_libdir}/pkgconfig/*.pc
%{_includedir}/context*

%changelog
* Thu Jul 12 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.41-18
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.41-17
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Mon Aug 14 2017 Iryna Shcherbina <ishcherb@redhat.com> - 0.5.41-16
- Add a build-time dependency on python2-devel

* Wed Aug 02 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.41-15
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.41-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.41-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.41-12
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.41-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.41-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat May 02 2015 Kalev Lember <kalevlember@gmail.com> - 0.5.41-9
- Rebuilt for GCC 5 C++11 ABI change

* Sat Aug 16 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.41-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.41-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.41-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Mon Mar 04 2013 Jaroslav Reznik <jreznik@redhat.com> - 0.5.41-5
- Workaround automake errors

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.41-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Nov 24 2012 Rex Dieter <rdieter@fedoraproject.org> 0.5.41-3
- rebuild (qjson)

* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.41-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Tue Mar 27 2012 Tom Callaway <spot@fedoraproject.org> - 0.5.41-1
- update to 0.5.41

* Thu Jan 12 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.15-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.15-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Mon Aug 16 2010 Chen Lei <supercyper@163.com> - 0.5.15-1
- Update to release tag 0.5.15

* Thu Jul 08 2010 Chen Lei <supercyper@163.com> - 0.5.8-1
- Initial packaging for Fedora

* Sun Mar 14 2010 Anas Nashif <anas.nashif@intel.com> - 0.5.8
- Use spectacle
- Fixed all rpmlint errors
